Agents
List agents
Retrieve a paginated list of agents, optionally filtered by customer.
GET
/
agents
List agents
curl --request GET \
--url https://api.useproxy.ai/v1/agents \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.useproxy.ai/v1/agents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.useproxy.ai/v1/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"name": "<string>",
"customerId": "<string>",
"externalId": "<string>",
"limits": {
"amount": 123,
"currency": "<string>",
"interval": "<string>"
},
"policy": {
"requireIntent": true,
"requireAttestation": true,
"requireApproval": true,
"autoApproveBelow": 123,
"attestationWindowMinutes": 123,
"cooldownMinutes": 123,
"ttlMinutes": 123,
"ttlDays": 123,
"limits": {
"perAuth": 123,
"perDay": 123,
"perMonth": 123
},
"allowedMccs": [
"<string>"
],
"blockedMccs": [
"<string>"
],
"allowedMerchants": [
"<string>"
],
"lockToFirstMerchant": true
},
"metadata": {},
"createdAt": "2023-11-07T05:31:56Z"
}
],
"nextCursor": "<string>"
}{
"error": "unauthorized"
}Authorizations
API key authentication. Include your API key in the Authorization header as Bearer <api_key>.
Query Parameters
Filter by customer ID
Maximum number of results to return (default: 50)
Required range:
1 <= x <= 100Pagination cursor for fetching the next page
Previous
Create or register an agentCreate a new agent or register an existing one by externalId (idempotent by externalId).
Next
⌘I
List agents
